API referenceConnections
Get a connection
GET
ApiKeyheader
AuthorizationBearer <token>An API key from Developers → API keys: Authorization: Bearer gauge_live_… (or pulse_k_live_…).
id*stringThe connection id.
Format
uuidGauge-Version?stringA dated version. Default 2026-10-21.
The connection.
application/json- response
id*stringFormat
uuidkind*stringdisplayName*stringstatus*stringcreatedAt*stringcapabilities*flags*warning*|nulllimits*curl -X GET 'https://app.gauge.chat/backend/v2/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "string", "displayName": "string", "status": "string", "createdAt": "string", "capabilities": { "sendText": true, "sendMedia": true, "sendTemplates": true, "sendInteractive": true, "quotedReplies": true, "startConversations": true, "broadcast": true, "delivery": "immediate" }, "flags": { "property1": true, "property2": true }, "warning": { "code": "whatsapp_web_ban_risk", "message": "string" }, "limits": { "sessionWindowHours": 0, "templateRequiredOutsideWindow": true, "sendCaps": { "perMinute": 0, "perDay": 0, "warmupTier": 0 }, "maxMediaBytes": 0 }}